Skip to content
API reference

Insights

POST/insights/check

Check (insights)

Needs the permission leads:read.

Body fieldTypeNotes
text requiredstringup to 4000 characters
channel requiredone of whatsapp, email
subjectstring or null
hasAttachmentsboolean or null
leadIdstring (uuid) or null
curl -X POST https://crm.anibrosdesign.com/api/v1/insights/check \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"text":"text","channel":"whatsapp","subject":"text"}'

Responses: 200 400 401 402 403 429

POST/insights/feedback

Feedback (insights)

Needs the permission leads:read.

Body fieldTypeNotes
kind requiredone of used, intent
leadId requiredstring (uuid)
suggestionIdstring or null
intentone of price, visit, timeline, call, brochure, followup, negative, thanks, general or null
curl -X POST https://crm.anibrosdesign.com/api/v1/insights/feedback \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"kind":"used","leadId":"01a15d23-0000-7000-8000-000000000000","suggestionId":"text"}'

Responses: 200 400 401 402 403 429

GET/insights/lead/{id}

Get lead (insight)

Needs the permission leads:read.

ParameterInTypeNotes
id requiredpathstring (uuid)
curl -X GET https://crm.anibrosdesign.com/api/v1/insights/lead/{id} \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 400 401 403 404 429

GET/insights/status

Get status (insights)

Needs the permission leads:read.

curl -X GET https://crm.anibrosdesign.com/api/v1/insights/status \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 403 429

POST/insights/suggest

Suggest (insights)

Needs the permission leads:read.

Body fieldTypeNotes
leadId requiredstring (uuid)
channel requiredone of whatsapp, email
textstring or null
curl -X POST https://crm.anibrosdesign.com/api/v1/insights/suggest \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"leadId":"01a15d23-0000-7000-8000-000000000000","channel":"whatsapp","text":"text"}'

Responses: 200 400 401 402 403 429

Something missing or unclear? Tell us.

Chat on WhatsApp